## linux-base 4.14ubuntu1

=== debian/changelog ===
linux-base (4.14ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Default to link_in_boot by default, on all architectures.
    - Add kernel postinst hook to update initrd softlinks to match the kernel
      version targets (LP: #1877088, #1929255).
    - Check for update-initramfs being installed before running the postinst
      hook which updates the softlinks (LP: #1928700).
    - Add linux-base-sgx package with SGX udev rules (LP: #1867820, #1881338,
      #1932582).
    - Add Apport package hook and links for kernel packages (LP: #2018128,
      #2098735).
    - Change package maintainer to Ubuntu Kernel Team.
    - Fix linux-base-sgx lintian warnings and add overrides.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 27 Aug 2025 15:59:41 +0200

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
Rules-Requires-Root: no

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: apport (<< 2.30.0-0ubuntu5~), kernel-common (<= 13.018+nmu1), linux-perf (<< 5.16.2-1~exp1)
Replaces: apport (<< 2.30.0-0ubuntu5~), kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

Package: linux-sysctl-defaults
Architecture: all
Priority: important
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: default sysctl configuration for Linux
 This package contains a sysctl configuration file setting some
 sensible defaults for Linux.

Package: linux-base-sgx
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux image base package for DCAP SGX
 This package contains files and support scripts for all Linux
 images with DCAP SGX drivers.

## linux-base 4.14ubuntu2

=== Makefile ===
build:
	po4a --previous po/po4a.conf

clean:
	rm -f man/*.??.[1-9]

=== debian/changelog ===
linux-base (4.14ubuntu2) questing; urgency=medium

  * d/control: Update Vcs-Git
  * Apport kernel hook:
    - Fix debugging, update copyright.
    - Split the main logic into multiple functions.
    - Remove obsolete code and kerneloops handling.
    - Attach the list of installed packages.
    - Handle DKMS build failures and attach the build log (LP: #2069262,
      LP: #2071587).
    - Ignore reports due to aborted removal of the running kernel
      (LP: #2073399).
    - Add firmware-sof to the list of related packages.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 01 Sep 2025 14:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
-Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
-Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
+Vcs-Git: https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-base/+git/linux-base
 Rules-Requires-Root: no
 
 Package: linux-base

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	perl -Ilib -MTest::Harness -e 'runtests(@ARGV)' lib/t/*.t
endif

override_dh_install:
	dh_install
	chmod -v +x debian/linux-base/etc/kernel/postinst.d/*
	chmod -v +x debian/linux-base-sgx/usr/lib/systemd/system-environment-generators/*

## linux-base 4.15~progress8.99u1

=== debian/changelog ===
linux-base (4.15~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 4.15.
  * Merging debian version 4.15.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 09 Jan 2026 11:07:27 +0100

linux-base (4.15) unstable; urgency=medium

  * linux-run-hooks(1): Fix description of the first argument
  * linux-run-hooks: Use compatible hook dir names for headers packages
    (Closes: #1121366)
  * Add Chinese debconf template translations (Yangfl) (Closes: #1124409)

 -- Ben Hutchings <benh@debian.org>  Thu, 08 Jan 2026 19:41:14 +0100

linux-base (4.14~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 4.14.
  * Merging debian version 4.14.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Aug 2025 19:41:11 +0200

linux-base (4.13~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Jul 2025 16:59:15 +0200

=== debian/control ===
Source: linux-base
Section: kernel
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
XSBC-Original-Uploaders: Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Bugs: mailto:maintainers@lists.progress-linux.org
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libtext-glob-perl <!nocheck>, po4a
Vcs-Browser: https://git.progress-linux.org/horok-backports/linux-base
Vcs-Git: https://git.progress-linux.org/horok-backports/linux-base
XSBC-Original-Vcs-Browser: https://salsa.debian.org/kernel-team/linux-base
XSBC-Original-Vcs-Git: https://salsa.debian.org/kernel-team/linux-base.git
Rules-Requires-Root: no

Package: linux-base
Architecture: all
Depends: ${misc:Depends}
Breaks: kernel-common (<= 13.018+nmu1), linux-perf (<< 5.16.2-1~exp1)
Replaces: kernel-common (<= 13.018+nmu1)
Multi-Arch: foreign
Description: Linux image base package
 This package contains files and support scripts for all Linux
 images.

Package: linux-sysctl-defaults
Architecture: all
Priority: important
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: default sysctl configuration for Linux
 This package contains a sysctl configuration file setting some
 sensible defaults for Linux.

## linux-base 4.15ubuntu1

=== debian/changelog ===
linux-base (4.15ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Default to link_in_boot by default, on all architectures.
    - Add kernel postinst hook to update initrd softlinks to match the kernel
      version targets (LP: #1877088, #1929255).
    - Check for update-initramfs being installed before running the postinst
      hook which updates the softlinks (LP: #1928700).
    - Add linux-base-sgx package with SGX udev rules (LP: #1867820, #1881338,
      #1932582).
    - Add Apport package hook and links for kernel packages (LP: #2018128,
      #2098735).
    - Change package maintainer to Ubuntu Kernel Team.
    - Fix linux-base-sgx lintian warnings and add overrides.
    - Apport kernel hook for Ubuntu.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 09 Feb 2026 11:34:35 +0100

## linux-base 4.15ubuntu2

=== debian/changelog ===
linux-base (4.15ubuntu2) resolute; urgency=medium

  * d/linux-base.links: Add new links for Resolute.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 11 Feb 2026 07:56:18 +0100

## linux-base 4.15ubuntu3

=== debian/changelog ===
linux-base (4.15ubuntu3) resolute; urgency=medium

  * d/linux-base.links: Add new linux-firmware links.

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 13 Feb 2026 09:01:21 +0100

## linux-base 4.15ubuntu4

=== debian/changelog ===
linux-base (4.15ubuntu4) resolute; urgency=medium

  * apport/source_linux.py: Always attach 'dpkg --list'

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 03 Mar 2026 13:01:59 +0100
